<!DOCTYPE html>
<html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Sports List</title>
    </head>
    <body>
    <div>
        Veuillez saisir le sport à ajouter :
        <input type="text" id="sportSaisie">
        <button onclick="ajouterSport()">Ajouter ce sport</button>
        <br>
        ajouter dans :
        <label for="ckSportPrefere">Sport préféré </label>
        <input checked="checked" type="radio" id="ckSportPrefere" name="choixListeSport" value="sportPrefere">

        <label for="ckSportDeteste">Sport détesté </label>
        <input type="radio" id="ckSportDeteste" name="choixListeSport" value="sportMoinsAimé">
    </div>

    <div style="display:-webkit-flex;">
        <div style="background-color:#92D050;padding:10px;margin:10px;">
        Liste des sports préférés
        <ul id="listSportPrefere">
        </ul>
        <button onclick="supprimerLesSports('listSportPrefere')">Supprimer tous</button>
        </div>
        <div style="background-color:#4370A8;padding:10px;margin:10px;">
        Liste des sports détestés
        <ul id="listSportDeteste">
        </ul>
        <button onclick="supprimerLesSports('listSportDeteste')">Supprimer tous</button>
        </div>
    </div>
    <script>
        function ajouterSport() {
            const sportName = document.querySelector("#sportSaisie").value;
            if (!sportName) return;
            document.getElementById(document.querySelector('input[name="choixListeSport"]:checked').id === "ckSportPrefere" ? "listSportPrefere" : "listSportDeteste").appendChild(newListItem);;
            document.createElement("li").textContent = sportName;
            document.querySelector("#sportSaisie").value = "";
        }

        function supprimerLesSports(listId) {
            const sportList = document.getElementById(listId);
            sportList.innerHTML = "";
        }
    </script>

    </body>
</html>
